package require mawt

catch { file mkdir "TestOut" }

set imgFiles  [file join "Data"    "%03d.png"]
set movieFile [file join "TestOut" "Numbers.wmv"]

puts "MAWT version      : [mawt GetVersion]"
puts "FFmpeg version    : [mawt GetFfmpegVersion]"
puts "Image file pattern: $imgFiles"
puts "Movie file        : $movieFile"

set t1 [clock microseconds]
set numImportedImgs [mawt VideoImport $imgFiles $movieFile -start 1 -end 10]
set t2 [clock microseconds]

puts "Number of images  : $numImportedImgs"
puts [format "Time needed       : %.2f seconds" [expr ($t2 - $t1) / 1E6]]

exit
